Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000715 [Online Pubs] Shell and Utilities Editorial Omission 2013-06-20 19:03 2013-08-29 09:59
Reporter weeks View Status public  
Assigned To ajosey
Priority normal Resolution Accepted  
Status Applied  
Name Nathan Weeks
Organization USDA-ARS
User Reference
URL
Section 2.14
Summary 0000715: Typo in description of "set -e"
Description There appears to be a typographical error in the description of "set -e" in TC1,
at least in the HTML version:

    This requirement applies to the shell environment and each
    subshell environment separately. For example, in:

    set -e; (false; echo one) | cat; echo two

    the false command causes the subshell to exit without executing
    however, is executed because the exit status of the pipeline is zero.

The "Desired Action"
http://www.austingroupbugs.net/view.php?id=52 [^]
indicates the sentence should read:

    the false command causes the subshell to exit without executing
    echo one; however, echo two is executed because the exit status
    of the pipeline (false; echo one) | cat is zero.
Desired Action Use the text from 0000052.
Tags No tags attached.
Attached Files

- Relationships
related to 0000052Closedajosey 1003.1(2008)/Issue 7 description of set -e does not match existing practice 

-  Notes
(0001657)
geoffclare (manager)
2013-06-21 08:00

The text is correct in the PDF, so it's an HTML translation problem.
I have moved this bug to "Online Pubs".
(0001661)
geoffclare (manager)
2013-07-01 08:50

There is a similar problem for trap:

    "Implementations may check for this case using only lexical
    analysis; for example, if and do not alter the traps in the
    subshell, cases such as assigning and then using may still alter
    them."

In both cases there is some in-line constant width text in the PDF
that has gone missing in the HTML; looks like the converter is not
handling whatever the troff source is using to generate that.
(0001675)
ajosey (manager)
2013-07-11 17:07

I have fixed the HTML markup for set -e , and have still do the change for trap
(0001676)
ajosey (manager)
2013-07-11 18:23

The HTML markup has now been fixed for trap .
Final closure of this bug will be when I update the download bundles.
(0001677)
ajosey (manager)
2013-07-12 09:33
edited on: 2013-07-12 09:36

The following files are impacted by this bug in not handling the .Cd macro in the troff source

utils/mkdir.mm:.Cd "(S_IWUSR|S_IXUSR|~\f6filemask\fP)&0777" \f1
utils/sh.mm:.Cd "kill 0"
xcu/V3_chap02.r:.Cd "echo one" ;
xcu/V3_chap02.r:.Cd "echo two"
xcu/V3_chap02.r:.Cd "(false; echo one) | cat"
xcu/V3_chap02.r:.Cd some_server
xcu/V3_chap02.r:.Cd $@
xcu/V3_chap02.r:.Cd $* .
xcu/V3_chap02.r:.Cd $@
xcu/V3_chap02.r:.Cd $*
xcu/V3_chap02.r:.Cd `trap`
xcu/V3_chap02.r:.Cd "$( trap -- )"
xcu/V3_chap02.r:.Cd var=trap
xcu/V3_chap02.r:.Cd $($var)
xrat/V4_xcu_chap02.r:.Cd $((...))
xrat/V4_xcu_chap02.r:.Cd ((...)) .

An update to the translator has been made and tested.

(0001769)
ajosey (manager)
2013-08-29 09:59

The download bundles have been updated on Aug 29 2013

- Issue History
Date Modified Username Field Change
2013-06-20 19:03 weeks New Issue
2013-06-20 19:03 weeks Status New => Under Review
2013-06-20 19:03 weeks Assigned To => ajosey
2013-06-20 19:03 weeks Name => Nathan Weeks
2013-06-20 19:03 weeks Organization => USDA-ARS
2013-06-20 19:03 weeks Section => 2.14
2013-06-20 19:03 weeks Page Number => 0
2013-06-20 19:03 weeks Line Number => 0
2013-06-20 21:35 weeks Relationship added related to 0000052
2013-06-21 07:58 geoffclare Project 1003.1(2008)/Issue 7 => Online Pubs
2013-06-21 08:00 geoffclare Note Added: 0001657
2013-07-01 08:50 geoffclare Note Added: 0001661
2013-07-11 17:07 ajosey Note Added: 0001675
2013-07-11 18:23 ajosey Note Added: 0001676
2013-07-11 18:23 ajosey Resolution Open => Accepted
2013-07-12 09:33 ajosey Note Added: 0001677
2013-07-12 09:36 ajosey Note Edited: 0001677
2013-08-29 09:59 ajosey Note Added: 0001769
2013-08-29 09:59 ajosey Status Under Review => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker